Issue #12781 has been updated by Nobuyoshi Nakada.


It's said that it is an Apple's bug.
Try to install sqlite3 by HomeBrew, MacPorts, or etc.

http://stackoverflow.com/questions/39812707/segmentation-fault-with-rails-after-upgrading-to-os-sierra-possibly-related-to
https://bugs.python.org/issue27126

----------------------------------------
Bug #12781: Segmentation fault on macOS Sierra (sqlite3_adapter.rb)
https://bugs.ruby-lang.org/issues/12781#change-60975

* Author: Pascal Lindelauf
* Status: Third Party's Issue
* Priority: Normal
* Assignee: 
* ruby -v: 2.3.1p112
* Backport: 2.1: UNKNOWN, 2.2: UNKNOWN, 2.3: UNKNOWN
----------------------------------------
After upgrading my MBP to macOS Sierra, I now get a segmentation fault on the sqlite3_adapter.rb with every request sent to Unicorn:



---Files--------------------------------
bug-12781.log (22.2 KB)


-- 
https://bugs.ruby-lang.org/

Unsubscribe: <mailto:ruby-core-request / ruby-lang.org?subject=unsubscribe>
<http://lists.ruby-lang.org/cgi-bin/mailman/options/ruby-core>